summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'dev-ruby/dnsruby/dnsruby-1.60.0.ebuild')
-rw-r--r--dev-ruby/dnsruby/dnsruby-1.60.0.ebuild34
1 files changed, 34 insertions, 0 deletions
diff --git a/dev-ruby/dnsruby/dnsruby-1.60.0.ebuild b/dev-ruby/dnsruby/dnsruby-1.60.0.ebuild
new file mode 100644
index 00000000000..90451b8bec8
--- /dev/null
+++ b/dev-ruby/dnsruby/dnsruby-1.60.0.ebuild
@@ -0,0 +1,34 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+USE_RUBY="ruby20 ruby21 ruby22 ruby23"
+
+RUBY_FAKEGEM_TASK_TEST=""
+RUBY_FAKEGEM_DOCDIR="html"
+RUBY_FAKEGEM_EXTRADOC="DNSSEC EXAMPLES README.md"
+inherit ruby-fakegem
+
+DESCRIPTION="A pure Ruby DNS client library"
+HOMEPAGE="https://github.com/alexdalitz/dnsruby"
+
+KEYWORDS="~amd64 ~x86"
+LICENSE="Apache-2.0"
+SLOT="0"
+IUSE=""
+
+ruby_add_bdepend "test? ( >=dev-ruby/minitest-5.4:5 )"
+
+all_ruby_prepare() {
+ sed -i -e "/[Cc]overall/d" Rakefile || die
+ sed -i -e '/display/d' \
+ -e '/Display/,/^}/d' test/spec_helper.rb || die
+}
+
+each_ruby_test() {
+ # only run offline tests
+ #${RUBY} -I .:lib test/ts_dnsruby.rb || die "test failed"
+ ${RUBY} -I .:lib test/ts_offline.rb || die "test failed"
+}